Hi,

both your errors seem to be caused by missing information from the gir file. It should include the pkg-config package (--pkg-export option of g-ir-scanner) and the header file (--c-include option).


HTH,

Abderrahim

On ر, سبت 14, 2016 at 4:08 م, Gergely Polonkai <gerg...@polonkai.eu> wrote:
Hello,

I’d like to use libgnomekbdui from my Vala project, so I can display the
current keyboard layout, but I ran into several problems.

If I specify --pkg=Gkbd-3.0 (this is the GIR name, no VAPI is available),
libkbdui doesn’t get linked, so my GtkTemplate can’t create the
GkbdKeyboardDrawing widget. If I add the library to LD_PRELOAD, the widget
loads fine.

Now if I try to create a GtkChild:

[GtkChild]
private Gkbd.KeyboardDrawing keyboard_drawing;

valac will try to include Gkbd-3.0.h which doesn’t exist (the header name
is libgnomekbd/gkbd-keyboard-drawing.h).

I’m using Vala 0.30, but I can upgrade to latest if necessary.

Best,
Gergely
_______________________________________________
vala-list mailing list
vala-list@gnome.org
https://mail.gnome.org/mailman/listinfo/vala-list
_______________________________________________
vala-list mailing list
vala-list@gnome.org
https://mail.gnome.org/mailman/listinfo/vala-list

Reply via email to